package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Font;
import com.itextpdf.text.Image;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import net.sf.json.JSONObject;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GeneratePDFsDOCAction.class */
public class GeneratePDFsDOCAction extends LifeAction {
    private String destSrcFiled;
    private String pdfType;
    private String downloadFilePath;
    private String downloadSheetNo;
    private final String FILE_TYPE = ".pdf";
    static List<JSONObject> xyList = new ArrayList();
    String fileName;
    String rootPath;
    String folder;
    String fileSrc;
    String confirmNo;

    public String execute(Context context) throws GENEException {
        new SimpleDateFormat("yyyyMMdd");
        String fprProname = (String) context.getDataValue("fprProname");
        String corName = (String) context.getDataValue("corName");
        String flaAmt = (String) context.getDataValue("flaAmt");
        String applyDate = (String) context.getDataValue("applyDate");
        String year = applyDate.split("-")[0];
        String month = applyDate.split("-")[1];
        String day = applyDate.split("-")[2];
        this.fileName = String.valueOf(fprProname) + "_" + corName + "_" + flaAmt + ".pdf";
        this.rootPath = LifeStandard.getSelfDefineSettingsValue("fileRootPath");
        this.folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000);
        LifeFile.makeMultiDirectory(this.rootPath, this.folder);
        this.fileSrc = String.valueOf(this.rootPath) + this.folder + LifeFile.DIR_SEPARATOR + this.fileName;
        buildPDF(context, this.fileSrc, year, month, day);
        context.put(this.downloadFilePath, this.fileSrc);
        context.put("filePath", String.valueOf(this.rootPath) + this.folder);
        context.put("path", this.fileName);
        context.put("confirmSheetNo", this.confirmNo);
        return "0";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.lang.String] */
    public String buildPDF(Context context, String destSrc, String year, String month, String day) {
        ?? r0 = "";
        String filePath = "";
        try {
            if (this.pdfType.equals("0")) {
                r0 = createPDFWithChineseForZD(context, destSrc, year, month, day);
                filePath = r0;
            }
        } catch (Exception e) {
            r0.printStackTrace();
        }
        return filePath;
    }

    public String createPDFWithChineseForZD(Context context, String destSrc, String year, String month, String day) throws Exception {
        String bankName = (String) context.getDataValue("financeName");
        String corName = (String) context.getDataValue("corName");
        String loaReceiptNo = (String) context.getDataValue("loaReceiptNo");
        String compensateperyq = (String) context.getDataValue("compensateperyq");
        String flaAmt = (String) context.getDataValue("flaAmt");
        String flaLimitDate = (String) context.getDataValue("flaLimitDate");
        String str = (String) context.getDataValue("pciTotalAmt");
        String pciUseAmt = str;
        if (str == null || "".equals(pciUseAmt)) {
            pciUseAmt = "0";
        }
        String fprProtype = (String) context.getDataValue("fprProtype");
        String confirmSheetNo = (String) context.getDataValue("confirmSheetNo");
        if ("000001".equals(confirmSheetNo)) {
            confirmSheetNo = String.valueOf(year) + confirmSheetNo;
        }
        String centreTermsOfLoan = (String) context.getDataValue("centreTermsOfLoan");
        String str2 = (String) context.getDataValue("amt");
        String amt = str2;
        if (str2 == null || "".equals(amt)) {
            amt = "0";
        }
        String companyNature = (String) context.getDataValue("companyNature");
        String fprProtypeName = "一般产品";
        String fprProtypeDX = "YBCP";
        if ("0".equals(fprProtype)) {
            fprProtypeName = "一般产品";
            fprProtypeDX = "YBCP";
        } else if ("1".equals(fprProtype)) {
            fprProtypeName = "苏科贷1";
            fprProtypeDX = "SKD1";
        } else if ("2".equals(fprProtype)) {
            fprProtypeName = "科技贷";
            fprProtypeDX = "KJD";
        } else if ("3".equals(fprProtype)) {
            fprProtypeName = "园科贷";
            fprProtypeDX = "YKD";
            compensateperyq = "50";
        } else if ("4".equals(fprProtype)) {
            fprProtypeName = "扎根贷";
            fprProtypeDX = "ZGD";
            compensateperyq = "30";
        } else if ("5".equals(fprProtype)) {
            fprProtypeName = "知识贷";
            fprProtypeDX = "ZSD";
            compensateperyq = "70";
        } else if ("6".equals(fprProtype)) {
            fprProtypeName = "绿色智造贷";
            fprProtypeDX = "LSZZD";
            compensateperyq = "40";
        } else if ("7".equals(fprProtype)) {
            fprProtypeName = "苗圃贷";
            fprProtypeDX = "MPD";
            compensateperyq = "1".equals(companyNature) ? "30" : "40";
        } else if ("8".equals(fprProtype)) {
            fprProtypeName = "关助融";
            fprProtypeDX = "GZR";
        } else if ("9".equals(fprProtype)) {
            fprProtypeName = "融风科贷";
            fprProtypeDX = "RFKD";
        } else if ("10".equals(fprProtype)) {
            fprProtypeName = "领军创投";
            fprProtypeDX = "LJCT";
        } else if ("11".equals(fprProtype)) {
            fprProtypeName = "合作基金";
            fprProtypeDX = "HZJJ";
        } else if ("12".equals(fprProtype)) {
            fprProtypeName = "战疫贷";
            fprProtypeDX = "ZYD";
            compensateperyq = "30";
        } else if ("13".equals(fprProtype)) {
            fprProtypeName = "苏科贷2";
            fprProtypeDX = "SKD2";
        } else if ("14".equals(fprProtype)) {
            fprProtypeName = "先进制造贷";
            fprProtypeDX = "XJZZD";
        }
        Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
        PdfWriter pdfw = null;
        try {
            try {
                try {
                    try {
                        this.confirmNo = "FK" + fprProtypeDX + confirmSheetNo;
                        pdfw = PdfWriter.getInstance(document, new FileOutputStream(destSrc));
                        document.open();
                        BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                        new Font(bfChi, 10.0f, 0);
                        new Font(bfChi, 10.0f, 4);
                        new Font(bfChi, 12.0f, 0);
                        Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                        Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                        new Font(bfChi, 12.0f, 4);
                        Font fontChi_bd_ul_14 = new Font(bfChi, 14.0f, 4);
                        Paragraph prh = new Paragraph();
                        prh.setAlignment(1);
                        prh.setSpacingAfter(15.0f);
                        document.add(prh);
                        document.add(new Paragraph(String.valueOf(fprProtypeName) + "准贷通知书 ", fontChi_bd));
                        Paragraph prh2 = new Paragraph(bankName, fontChi_bd_ul_14);
                        Chunk chunk = new Chunk(":", fontChi_nl_14);
                        prh2.add(chunk);
                        prh2.setAlignment(0);
                        prh2.setSpacingAfter(8.0f);
                        document.add(prh2);
                        Paragraph prh3 = new Paragraph("        ", fontChi_nl_14);
                        Chunk chunk2 = new Chunk("经我单位审查审核，", fontChi_nl_14);
                        prh3.add(chunk2);
                        Chunk chunk3 = new Chunk(corName, fontChi_bd_ul_14);
                        prh3.add(chunk3);
                        Chunk chunk4 = new Chunk("已符合", fontChi_nl_14);
                        prh3.add(chunk4);
                        Chunk chunk5 = new Chunk("“" + fprProtypeName + "”", fontChi_bd_ul_14);
                        prh3.add(chunk5);
                        Chunk chunk6 = new Chunk("业务的贷款条件，我单位同意的贷款具体内容详见下表。若该笔贷款出现风险，我单位将按照《“" + fprProtypeName + "”业务合作协议》中相关约定进行风险补偿。", fontChi_nl_14);
                        prh3.add(chunk6);
                        prh3.setSpacingAfter(8.0f);
                        document.add(prh3);
                        document.add(new Paragraph("", fontChi_nl_14));
                        PdfPTable table = new PdfPTable(2);
                        table.setWidthPercentage(100.0f);
                        int[] width = {45, 55};
                        table.setWidths(width);
                        PdfPCell cell = new PdfPCell(new Paragraph("编号", fontChi_nl_14));
                        cell.setHorizontalAlignment(0);
                        cell.setMinimumHeight(25.0f);
                        table.addCell(cell);
                        PdfPCell cell2 = new PdfPCell(new Paragraph("FK" + fprProtypeDX + confirmSheetNo, fontChi_nl_14));
                        cell2.setMinimumHeight(25.0f);
                        table.addCell(cell2);
                        PdfPCell cell3 = new PdfPCell(new Paragraph("申报单位", fontChi_nl_14));
                        cell3.setMinimumHeight(25.0f);
                        table.addCell(cell3);
                        PdfPCell cell4 = new PdfPCell(new Paragraph(corName, fontChi_nl_14));
                        cell4.setMinimumHeight(25.0f);
                        table.addCell(cell4);
                        PdfPCell cell5 = new PdfPCell(new Paragraph("贷款合同编号", fontChi_nl_14));
                        cell5.setMinimumHeight(25.0f);
                        table.addCell(cell5);
                        PdfPCell cell6 = new PdfPCell(new Paragraph(loaReceiptNo, fontChi_nl_14));
                        cell6.setMinimumHeight(25.0f);
                        table.addCell(cell6);
                        PdfPCell cell7 = new PdfPCell(new Paragraph("园区新兴产业融资风险补偿专项资金补偿比例", fontChi_nl_14));
                        cell7.setMinimumHeight(25.0f);
                        table.addCell(cell7);
                        PdfPCell cell8 = new PdfPCell("".equals(compensateperyq) ? new Paragraph(compensateperyq, fontChi_nl_14) : new Paragraph(String.valueOf(compensateperyq) + "%", fontChi_nl_14));
                        cell8.setMinimumHeight(25.0f);
                        table.addCell(cell8);
                        PdfPCell cell9 = new PdfPCell(new Paragraph("贷款期限", fontChi_nl_14));
                        cell9.setMinimumHeight(25.0f);
                        table.addCell(cell9);
                        PdfPCell cell10 = new PdfPCell(new Paragraph(String.valueOf(flaLimitDate) + "天", fontChi_nl_14));
                        cell10.setMinimumHeight(25.0f);
                        table.addCell(cell10);
                        PdfPCell cell11 = new PdfPCell(new Paragraph("授信额度（万元）", fontChi_nl_14));
                        cell11.setMinimumHeight(25.0f);
                        table.addCell(cell11);
                        BigDecimal pciUseAmtBig = new BigDecimal(pciUseAmt).divide(new BigDecimal("10000"));
                        PdfPCell cell12 = new PdfPCell(new Paragraph(String.valueOf(pciUseAmtBig), fontChi_nl_14));
                        cell12.setMinimumHeight(25.0f);
                        table.addCell(cell12);
                        PdfPCell cell13 = new PdfPCell(new Paragraph("本次放款（万元）", fontChi_nl_14));
                        cell13.setMinimumHeight(25.0f);
                        table.addCell(cell13);
                        BigDecimal flaAmtBig = new BigDecimal(flaAmt).divide(new BigDecimal("10000"));
                        PdfPCell cell14 = new PdfPCell(new Paragraph(String.valueOf(flaAmtBig), fontChi_nl_14));
                        cell14.setMinimumHeight(25.0f);
                        table.addCell(cell14);
                        PdfPCell cell15 = new PdfPCell(new Paragraph("已用额度（万元）", fontChi_nl_14));
                        cell15.setMinimumHeight(25.0f);
                        table.addCell(cell15);
                        BigDecimal amtBig = new BigDecimal(amt).divide(new BigDecimal("10000"));
                        PdfPCell cell16 = new PdfPCell(new Paragraph(String.valueOf(amtBig), fontChi_nl_14));
                        cell16.setMinimumHeight(25.0f);
                        table.addCell(cell16);
                        PdfPCell cell17 = new PdfPCell(new Paragraph("放款条件", fontChi_nl_14));
                        cell17.setMinimumHeight(25.0f);
                        table.addCell(cell17);
                        PdfPCell cell18 = new PdfPCell(new Paragraph(centreTermsOfLoan, fontChi_nl_14));
                        cell18.setMinimumHeight(25.0f);
                        table.addCell(cell18);
                        document.add(table);
                        Paragraph prh4 = new Paragraph(" ", fontChi_nl_14);
                        prh4.setSpacingAfter(8.0f);
                        document.add(prh4);
                        Paragraph prh5 = new Paragraph(" ", fontChi_nl_14);
                        prh5.setSpacingAfter(8.0f);
                        document.add(prh5);
                        Paragraph prh6 = new Paragraph("苏州工业园区企业发展服务中心", fontChi_nl_14);
                        prh6.setAlignment(2);
                        prh6.setSpacingAfter(8.0f);
                        document.add(prh6);
                        Paragraph prh7 = new Paragraph(String.valueOf(year) + "年" + month + "月" + day + "日", fontChi_nl_14);
                        prh7.setAlignment(2);
                        prh7.setSpacingAfter(8.0f);
                        document.add(prh7);
                        String rootPathNew = LifeStandard.getSelfDefineSettingsValue("fileDownloadPath");
                        Image img = Image.getInstance(String.valueOf(rootPathNew) + "/WEB-INF/classes/images/gongzhang.png");
                        img.scalePercent(35.0f);
                        img.setAbsolutePosition(document.getPageSize().getWidth() - 250.0f, img.getHeight() - 260.0f);
                        document.add(img);
                        document.close();
                        pdfw.flush();
                        pdfw.close();
                        document.close();
                        if (pdfw != null) {
                            pdfw.flush();
                            pdfw.close();
                        }
                    } catch (IOException e) {
                        Trace.log("LifeFile", "文件" + destSrc + "I/O失败");
                        e.printStackTrace();
                        document.close();
                        if (pdfw != null) {
                            pdfw.flush();
                            pdfw.close();
                        }
                    }
                } catch (FileNotFoundException e2) {
                    Trace.log("LifeFile", "文件" + destSrc + "未找到");
                    e2.printStackTrace();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (DocumentException e3) {
                Trace.log("LifeFile", "准贷通知书文件创建失败");
                e3.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            }
            return destSrc;
        } catch (Throwable th) {
            document.close();
            if (pdfw != null) {
                pdfw.flush();
                pdfw.close();
            }
            throw th;
        }
    }

    public void setDestSrcFiled(String destSrcFiled) {
        this.destSrcFiled = destSrcFiled;
    }

    public void setPdfType(String pdfType) {
        this.pdfType = pdfType;
    }

    public void setDownloadFilePath(String downloadFilePath) {
        this.downloadFilePath = downloadFilePath;
    }

    public void setDownloadSheetNo(String downloadSheetNo) {
        this.downloadSheetNo = downloadSheetNo;
    }
}
